proc CreateScrolledText {w} {
##############################################################################
# NAME:     CreateScrolledText  create a vertically scrolled text widget
# SYNOPSIS: CreateScrolledText w
# DESCRIPTION: 
# ARGIN:    w: name of the parent window that will hold the scrolled text
# ARGOUT:   None
# RETURN:   The scrolled text widget name
# ERROR :   None
# GLOBAL_CREATED: None
# SEE ALSO:
##############################################################################
global ARR_GLOB1; foreach elt [array names ARR_GLOB1] { global $elt }
global MAIN_BG_COLOR  MAIN_FT_STYLE 
  

  set f1 [frame $w.fr1]
  scrollbar $f1.scrollV -relief flat -width 12 \
                        -command "$f1.text yview"  
  scrollbar $f1.scrollH -relief flat \
                        -orient horizontal \
                       -command "$f1.text xview"
  pack $f1.scrollV -side right -fill  y 
  pack $f1.scrollH -side bottom -fill x
                                   
  text $f1.text -bd 1 -relief raised \
                      -yscroll "$f1.scrollV set" \
                      -xscroll "$f1.scrollH set" \
                      -wrap none 

  pack $f1.text -expand yes -fill both
  pack $f1 -expand yes -fill both

  return $f1.text
} ;# ends proc CreateScrolledText

### Create the packge rrap
package provide rrap 2.3
